Bug 166584 - Openldap takes a lot of memory after few days
Summary: Openldap takes a lot of memory after few days
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: openldap   
(Show other bugs)
Version: 3.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jan Safranek
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-08-23 15:53 UTC by Leo Eraly
Modified: 2015-01-08 00:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 18:55:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Leo Eraly 2005-08-23 15:53:57 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050406 Firefox/1.0.2 (Debian package 1.0.2-3)

Description of problem:
Sendmail+Openldap
-----------------
The slapd processes are consuming a lot of memory
Which causes the swap to be filled up to 100% and the machine will get a load of 5 and more

PID USER     PRI  NI  SIZE  RSS SHARE STAT %CPU %MEM   TIME CPU COMMAND
18570 ldap      16   0  190M 104M  1128 S     4.8  5.1 358:35   1 slapd


Backend which is used is lbdm
Following indexes are maintained on the dataindex   

objectClass,uid,uidNumber,gidNumber,memberUid,sendmailMTAKey,sendmailMTAMapName,sendmailMTACluster,sendmailMTAMapValue  eq




Version-Release number of selected component (if applicable):
openldap-servers-2.0.27-17

How reproducible:
Always

Steps to Reproduce:
1.Start slapd
2.Wait for a few days

  

Actual Results:  The first days everything goes well but after a week slapd
processes start to use more than 600M of memory

Additional info:

-4cpus and 2G ram
-Hardware SCSI raid1

LDAP db holds over 7000 records all of the following form

dn: sendmailMTAKey=otherdomain.net,sendmailMTAMapName=mailer, ou=sendmail,dc=domain,dc=org
objectClass: sendmailMTAMapObject
sendmailMTAMapName: mailer
sendmailMTACluster: Mailcluster
sendmailMTAKey: otherdomain.net
sendmailMTAMapValue: esmtp:mailexchange.domain.org
creatorsName: cn=Manager,dc=domain,dc=org
createTimestamp: 20041221013908Z
modifiersName: cn=Manager,dc=domain,dc=org
modifyTimestamp: 20041221013908Z

Comment 1 Leo Eraly 2005-08-23 15:57:55 UTC
Following directives are also placed in the slapd.conf

cachesize 100000
dbcachesize 11000000


The complete data directory (/var/lib/ldap) is only 12M 

Comment 2 RHEL Product and Program Management 2007-10-19 18:55:35 UTC
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.


Note You need to log in before you can comment on or make changes to this bug.